QGIS Application - Bug report #18968
All GeoCCS names imported from GDAL in srs.db are wrongly set to "Imported from GDAL"
2018-05-17 08:16 AM - Andrea Giudiceandrea

Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:3.1(master) Regression?: No
Operating System: Easy fix?: Yes
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 26799
Description

Like reported in #17941 (for Geographic Coordinate Systems, "GEOGCS"), I've also found that the name of each Geocentric Coordinate
System ("GEOCCS") imported in srs.db from GDAL *.csv EPSG support files by QgsCoordinateReferenceSystem::syncDb() in QGIS 2.18
and QgsCoordinateReferenceSystem::syncDatabase() in QGIS 3 (during postinstall, in Windows by crssync.exe) is wrongly set to
"Imported from GDAL" instead of with its proper name.

The bug lies in https://github.com/qgis/QGIS/blob/release-2_18/src/core/qgscoordinatereferencesystem.cpp#L1810-L1812
QString name( OSRIsGeographic( crs ) ? OSRGetAttrValue( crs, "GEOGCS", 0 ) : OSRGetAttrValue( crs, "PROJCS", 0) );
if (name.isEmpty() )
name = QObject:tr( "Imported from GDAL" );

| think we can easily fix it:
QString name( OSRIsGeographic( crs ) ? OSRGetAttrValue( crs, "GEOGCS", 0 ) : OSRGetAttrValue( crs, "PROJCS", 0) );
if ( name.isEmpty() )
name = ( OSRIsGeocentric( crs ) ? OSRGetAttrValue( crs, "GEOCCS", 0) : QObject::tr( "Imported from GDAL") );

Anyway, to fix the names of the GEOCCSs already in srs.db shipped with both QGIS 2.18 and QGIS 3 we'll need to properly update it and
upload it in the repository.

Associated revisions

Revision 7576ae10 - 2018-05-19 09:51 PM - Jiirgen Fischer
crssync:
- also update coordinate system descriptions

- retrieve descriptions of geocentric CRSes (fixes #18968)

History

#1 - 2018-05-17 08:39 AM - Andrea Giudiceandrea

PR for 2.18 https://github.com/qgis/QGIS/pull/7009

#2 - 2018-05-19 10:01 PM - Jiirgen Fischer
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|7576ae104d3725176a3cbf4aa81dcObc265446¢4.
